%define         real_ver   1.4.0

Name:           geda-gattrib
Version:        20080127
Release:        2%{?dist}

Summary:        Attribute editor for gEDA
Group:          Applications/Engineering
License:        GPLv2

URL:            http://www.geda.seul.org/tools/gattrib/index.html
Source:         http://geda.seul.org/release/v1.4/%{relver}/%{name}-%{real_ver}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libgeda-devel, desktop-file-utils, gettext-devel, gawk, intltool

Requires:       geda-symbols

%description
Gattrib is gEDA's attribute editor. It reads a set of gschem .sch files
(schematic files), and creates a spreadsheet showing all components in
rows, with the associated component attributes listed in the columns.
It allows the user to add, modify, or delete component attributes outside
of gschem, and then save the .sch files back out. When it is completed,
it will allow the user to edit attributes attached to components, nets,
and pins. (Currently, only component attribute editing is implemented;
pin attributes are displayed only, and net attributes are TBD.)

%prep
%setup -q -n %{name}-%{real_ver}

%build

%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="%{_bindir}/install -p" install DESTDIR=%{buildroot}

desktop-file-install --vendor=fedora           \
    --add-category Engineering                 \
    --add-category Science                     \
    --dir=%{buildroot}%{_datadir}/applications \
    --delete-original                          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%{__rm} -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
%{__rm} -rf %{buildroot}

# geda-symbols is the Owner of the following directories
#%dir %{_docdir}/gEDA/readmes
#%dir %{_docdir}/gEDA/man
#%dir %{_docdir}/gEDA/examples
#%dir %{_datadir}/gEDA/bitmap
#%dir %{_datadir}/gEDA/gafrc.d

# libgeda is the Owner of the following directories
#%dir %{_datadir}/gEDA
#%dir %{_datadir}/doc/gEDA/
#%dir %{_datadir}/gEDA/scheme

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING NEWS NOTES README* ToDos
%doc design/{gEDA_Structures_updated.png,ProgramArchitecture.gnumeric}
%{_bindir}/gattrib
%{_datadir}/gEDA/system-gattribrc
%{_datadir}/gEDA/gattrib-menus.xml
%{_datadir}/applications/fedora-geda-gattrib.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*


%Changelog
* Sun Feb 03 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20080127-2
- fix desktop file
- added gettext-devel and intltool as BR

* Sat Feb 02 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20080127-1
- New upstream release

* Tue Jan 22 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20071231-1
- New upstream release

* Mon Sep 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070902-1
- New upstream release

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070708-2
- mass rebuild for fedora 8 - ppc32

* Sat Jul 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070708-1
- New upstream release

* Tue Jun 27 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070626-2
- removed version from the desktop file

* Tue Jun 27 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070626-1
- new upstream release

* Thu Jun 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070526-1
- new upstream release

* Tue Apr 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-3
- rebuild for fc6 and devel

* Tue Apr 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-2
- new upstream release on 2007 02 16 support for FC-5

* Wed Mar 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-1
- new upstream release on 2007 02 16

* Sun Feb 04 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-3
- Fixed presence on Gnome menu

* Mon Jan 08 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-2
- rebuilt under compat-guile-16

* Thu Nov 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-1
- New upstream Release

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-2
- Rebuilt for FC-6 devel

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-1
- Upstream release 20060906

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-1
- Upstream release 20060824

* Mon Sep 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-4
- Fixed icon in gnome/kde menus
- dropped libpng-devel as BR since libgeda-devel already requires it

* Sun Sep 03 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-3
- rebuilt for FC5 and later with minor fixes

* Wed Feb 22 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-2.fc4
- more cleanup

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Sun Jul 3 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228

* Tue Mar 14 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040313-1
- version 20040313

* Sat Mar 6 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040303-1
- version 20040304, built on Fedora Core 1
- initialization of spec file.

# end of file
